CATMAN(8)

NOME
catman - cria ou actualiza as páginas do manual pré-formatadas

SINOPSE
catman [-d?V] [-M caminho] [-C ficheiro] [secção] ...

DESCRIÇÃO
catman é usado para criar um conjunto actualizador de páginas do manual pré-formatadas, conhecidas como páginas cat. Estas são geralmente muito mais rápidas a mostrar do que as originais páginas do manual, mas requerem mais espaço de armazenagem. A decisão de suportar páginas cat pertence ao administrador local, que deverá fornecer pastas adequadas para as armazenar. As opções disponíveis para catman são as hierarquias de páginas do manual e as secções a pré-formatar. As hierarquias são as especificadas como hierarquias do sistema no ficheiro de configuração do man-db e as secções predefinidas são ou o conteúdo separado por dois-pontos da variável de ambiente $MANSECT ou o conjunto padrão compilado com man se $MANSECT for indefinida. Fornecer catman com um conjunto de nomes de secções separados por espaços em branco sobrepõe-se a ambas as opções acima. catman utiliza a cache da base de dados índice associada com cada hierarquia para determinar que ficheiros precisam de formatação.

OPÇÕES

-d, --debug
    imprime informação de depuração.

-M caminho, --manpath=caminho
    Especifica um caminho de procura alternativo separado por dois-pontos de hierarquia de páginas do manual. Por predefinição, são todos os caminhos indicados como hierarquias do sistema no ficheiro de configuração do man-db.

-C ficheiro, --config-file=ficheiro
    usa este ficheiro do utilizador em vez do predefinido de ~/.manpath.

-?, --help
    mostra uma mensagem de ajuda e sai.

--usage
    mostra uma mensagem curta de uso e sai.

-V, --version
    mostra informação da versão.

AMBIENTE

MANSECT
    Se $MANSECT estiver definida, o seu valor é uma lista de secções separada por dois-pontos e é usada para determinar que secções do manual procurar e em que ordem. A predefinição é "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", a não ser que sobreposta pela directiva SECTION em /etc/man_db.conf.

MANPATH
    Se $MANPATH estiver definido, o seu valor é interpretado como caminho de procura delimitado por dois-pontos de hierarquia de páginas do manual a usar.

FICHEIROS

/etc/man_db.conf
    ficheiro de configuração do man-db.

/usr/man/index.(bt|db|dir|pag)
    Uma cache de base de dados de índice global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Uma cache de base de dados índice alternativa ou respeitante FSSTND.

VEJA TAMBÉM
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).